import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
import React from 'react';
import PropTypes from 'prop-types';
import FormGroupWrapper from '../form-group/form-group';
import { Slider as BSlider } from "@blueprintjs/core/lib/esm/components/slider/slider.js";
import propsCatcher from '../props-catcher/props-catcher';

var Slider = function Slider(_ref) {
  var input = _ref.input,
      step = _ref.step,
      props = _objectWithoutProperties(_ref, ["input", "step"]);

  return /*#__PURE__*/React.createElement(BSlider, _extends({
    stepSize: step
  }, propsCatcher(props), input, {
    value: input.value || 0
  }));
};

Slider.propTypes = {
  input: PropTypes.object,
  step: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};

var WrapperSlider = function WrapperSlider(props) {
  return /*#__PURE__*/React.createElement(FormGroupWrapper, _extends({}, props, {
    Component: Slider
  }));
};

export default WrapperSlider;